Welcome, Guest
Username: Password: Remember me
26 Sep 2020
No bulk downloads - PLEASE! THIS IS OVERLOADING OUR SERVER AND DENYING ACCESS TO COMMUNITY USERS
SVP - Pas de téléchargement en masse ! Cela surcharge le serveur et empêche la communauté d'utilisateurs d'accéder aux données
_______________________________
WE WILL BLOCK IP'S THAT ARE BULK DOWNLOADING! Nous bloquerons les IPs des personnes qui agissent de la sorte.
PLEASE GO DIRECTLY TO THE GRIB PRODUCERS (NOAA, DWD...) FOR BULK DOWNLOADS. Allez chercher les données directement à la source (NOAA, DWD ...)
Read More...
  • Page:
  • 1

TOPIC:

Installer la V1.2.6 sur RPi 4 7 months 4 weeks ago #790

Bonjour,
J'encours quelques soucis pour installer la version 1.2.6 ou mettre à jour la V1.2.3 sur mon RPi 4 à jour sous Buster de mai 2020.
J'ai téléchargé le fichier XygribLinuxOnlineInstallerv1.2.6.tgz, je l'ai décompressé, mais lorsque je veux soit l’exécuter, soit le lancer dans un terminal pour l'installer, rien ne se passe...
J'ai téléchargé toutes les dépendances voulues
sudo apt-get install build-essential git cmake qt5-default libpng-dev libopenjp2-7-dev libnova-dev libproj-dev zlib1g-dev libbz2-dev qttools5-dev
J'ai essayé suivant la méthode indiquée sur la page de téléchargement, dans l'encadré grisé pour les Debian/Ubuntu en arm et lorsque je tape le code suivant :
"pi@raspberrypi:~ $ sudo vi /etc/apt/sources.list.d/oss.list"
Voici le retour du Terminal :
E325: ATTENTION
Found a swap file by the name "/etc/apt/sources.list.d/.oss.list.swp"
owned by: root dated: Sun Aug 9 11:31:51 2020
file name: /etc/apt/sources.list.d/oss.list
modified: YES
user name: root host name: raspberrypi
process ID: 3981
While opening file "/etc/apt/sources.list.d/oss.list"
CANNOT BE FOUND
(1) Another program may be editing the same file. If this is the case,
be careful not to end up with two different instances of the same
file when making changes. Quit, or continue with caution.
(2) An edit session for this file crashed.
If this is the case, use ":recover" or "vim -r /etc/apt/sources.list.d/oss.l
ist"
to recover the changes (see ":help recovery").
If you did this already, delete the swap file "/etc/apt/sources.list.d/.oss.
list.swp"
to avoid this message.

"/etc/apt/sources.list.d/oss.list" [New File]
Press ENTER or type command to continue
Si je tape "Entrée", j'ai un écran noir et plus rien, terminé.
Soit les instructions sont mauvaises (gros doute), soit il me manque un paquet, soit je ne sais pas que faire ou je le fais mal...
Je précise avoir désinstallé et purgé Xygrib ancienne version.

Une idée?
Merci d'avance,
Philippe

Please Log in or Create an account to join the conversation.

Installer la V1.2.6 sur RPi 4 7 months 4 weeks ago #791

  • DomH
  • DomH's Avatar
  • Offline
  • Moderator
  • Moderator
  • La voile est ma passion
  • Posts: 110
  • Thank you received: 25
Bonjour,
vous pouvez supprimer le fichier .swp (qui est un reste d'une plantée lors de l'édition du fichier en question avec vi.

ensuite vous éditez le fichier oss.list avec la commande : sudo vi /etc/apt/sources.list.d/oss.list
et vous copiez la ligne suivante (page de téléchargement) : deb www.free-x.de/debian/ buster main contrib non-free
puis vous sauvegardez le fichier (conformément aux commandes à utiliser avec l'éditeur vi (ou vim, c'est 2 noms pour le même outils d'édition)
puis vous exécutez les 2 lignes suivantes.

Il est vrai que l'explication de la page de téléchargement est succinte et n'est pas une recette à suivre simplement pas à pas.

Cette procédure remplace la nécessité de compiler à partir des fichiers sources qui se trouvent dans le fichier XyGrib-1.2.6.tar.gz
Le fichier Linux Online Installer XyGrib_Linux_Online_Installer_v1.2.6.tgz ne fonctionne pas sur RPI, le processeur est un arm et non un amd/intel.


NB : L'utilisation de openplotter est une assez bonne option sur RPI (qui utilise le même dépôt pour récupérer XyGrib que celui précisé dans la page téléchargement : vous retrouvez tous les détails sur : github.com/openplotter/openplotter-settings
Bonne journée ou bonne soirée (vous pouvez choisir)
Have a nice day or good night (you can choose)
Guten Morgen oder gute Nacht (Sie können wählen)

DomH
The following user(s) said Thank You: Phil171

Please Log in or Create an account to join the conversation.

Installer la V1.2.6 sur RPi 4 7 months 2 weeks ago #792

Merci de votre réponse, tout fonctionne sans problème.
Quelques remarques de débutant, effectivement :
J'ai installé VIM, il a fallu que je le maîtrise un peu avant de l'utiliser. On peut (pour les débutants) utiliser nano sans problème.
J'ai remarqué aussi que ce fichier .swp était dans le disque lors de l’exécution de l'installation, il était présent de base.
Et puisque ce logiciel s'adresse aussi (et peut-être surtout) aux débutants, pourquoi ne pas faire un petit effort de rédaction ou modifier les quelques commandes (utiliser nano plutôt que vi ou vim) afin de simplifier les choses et éviter des demandes d'aide intempestives.

Que faire et comment installer les fichiers complémentaires comme les villes et la haute définition, d'accords, ce sont des fichiers optionnels, mais, parfois...
Merci encore,
Cordialement, Philippe

Please Log in or Create an account to join the conversation.

  • Page:
  • 1
Time to create page: 0.027 seconds

Resources on this site will always be free and open with no commercialization. However, operating costs of the servers to pre-process and deliver GRIB files to XyGrib are not trivial.

If you found the site useful, please share in the effort and help keep us up and running

 

Please Support

Go to top